Bug 1308947 - Group Operation sequential execution list limited to 50 members
Group Operation sequential execution list limited to 50 members
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server, UI (Show other bugs)
JON 3.3.4,JON 3.3.5
Unspecified Unspecified
medium Severity high
: ER01
: JON 3.3.6
Assigned To: Josejulio Martínez
Filip Brychta
: Triaged
Depends On: 1308949
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 09:29 EST by bkramer
Modified: 2016-07-27 11:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 11:32:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkramer 2016-02-16 09:29:30 EST
Description of problem:
If a group/dynagroup contains more then 50 resources, some of them will not be listed in the sequential execution list as this list is limited to 50 resources.

Version-Release number of selected component (if applicable):
JBoss ON 3.3

How reproducible:
Always

Steps to Reproduce:
1. Start JBoss ON;
2. Create a group that contains more then 50 resources;
3. In JBoss ON UI -> navigate to Inventory -> All Groups -> select the name of the group with more then 50 resources -> Operations -> press New button -> select an Operation (from the Operation drop down list) -> select "in the order specified below..." for Execute -> check listed resources in the Member Resource list.

Actual results:
Only 50 resources are listed

Expected results:
All resources are listed

Additional info:
Comment 3 Josejulio Martínez 2016-06-14 11:36:16 EDT
commit 972c0915fb8b7aad072b9e4ed65653ee617498ce
Merge: f01a604 2c95a4d
Author: Michael Burman <yak@iki.fi>
Date:   Tue Jun 14 14:46:52 2016 +0300

    Merge pull request #208 from josejulio/BZ-1308947
    
    Bug 1308947 - Group Operation sequential execution list limited to 50…


commit 14ae955f71fc5c763b9290eb1ab7d46b96e15028
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Fri Feb 26 16:45:16 2016 -0600

    Bug 1308947 - Group Operation sequential execution list limited to 50 members.
    
    Removed the limit of resources.
Comment 5 Simeon Pinder 2016-07-07 04:22:56 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=502442

Note: 	jon-server-patch-3.3.0.GA.zip maps to JON 3.3.6(jon-server-3.3.0.GA-update-06.zip)
Comment 7 errata-xmlrpc 2016-07-27 11:32:42 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1519.html

Note You need to log in before you can comment on or make changes to this bug.